/*
 * Copyright (c) 2005, Innoopract Informationssysteme GmbH.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *  Innoopract - initial API and implementation
 */
package bug2html;

/**
 * Java model of a (bugzilla) Description Node.
 * 
 * @author Elias Volanakis <evolanakis@innoopract.de>
 */
public class Description {
  public static final Description EMPTY_DESCRIPTION 
  = new Description("", "", "");

  private String text;
  private String who;
  private String when;

  Description(final String text, final String who, final String when) {
    if (text == null || who == null || when == null) {
      throw new IllegalArgumentException();
    }
    this.text = text;
    this.who = who;
    this.when = when;
  }

  public String toString() {
    return text + " (" + who + " @ " + when + ")";
  }
}
